<?php
/**
 * VW Handyman Services: Block Patterns
 *
 * @package VW Handyman Services
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'vw-handyman-services',
		array( 'label' => __( 'VW Handyman Services', 'vw-handyman-services' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'vw-handyman-services/banner-section',
		array(
			'title'      => __( 'Banner Section', 'vw-handyman-services' ),
			'categories' => array( 'vw-handyman-services' ),
			'content'    => "<!-- wp:columns {\"align\":\"full\",\"className\":\"slider-social\"} -->\n<div class=\"wp-block-columns alignfull slider-social\"><!-- wp:column {\"width\":\"90%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:90%\"><!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\",\"id\":1953,\"dimRatio\":30,\"minHeight\":600,\"className\":\"banner-section m-0\"} -->\n<div class=\"wp-block-cover has-background-dim-30 has-background-dim banner-section m-0\" style=\"min-height:600px\"><img class=\"wp-block-cover__image-background wp-image-1953\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"className\":\"mx-lg-5 px-md-5\"} -->\n<div class=\"wp-block-columns mx-lg-5 px-md-5\"><!-- wp:column {\"width\":\"60%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"50px\"}}} -->\n<h1 style=\"font-size:50px\">Welcome to Handyman</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p style=\"font-size:15px\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc eu lorem maximus, eleifend arcu eget, tincidunt arcu.&nbsp;</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"background\":\"#dd1515\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:15px\"><a class=\"wp-block-button__link has-white-color has-text-color has-background\" style=\"background-color:#dd1515\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"\",\"className\":\"social-icons ms-0\"} -->\n<div class=\"wp-block-column social-icons ms-0\"><!-- wp:cover {\"customOverlayColor\":\"#001e38\",\"minHeight\":600,\"className\":\"m-0\"} -->\n<div class=\"wp-block-cover has-background-dim m-0\" style=\"background-color:#001e38;min-height:600px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:social-links {\"iconColor\":\"white\",\"iconColorValue\":\"#ffffff\",\"className\":\"items-justified-center is-style-logos-only\"} -->\n<ul class=\"wp-block-social-links has-icon-color items-justified-center is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /--></ul>\n<!-- /wp:social-links --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);

	register_block_pattern(
		'vw-handyman-services/services-section',
		array(
			'title'      => __( 'Professionals Section', 'vw-handyman-services' ),
			'categories' => array( 'vw-handyman-services' ),
			'content'    => "<!-- wp:group {\"className\":\"professional-section py-5\"} -->\n<div class=\"wp-block-group professional-section py-5\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#dd1515\"}},\"className\":\"small-title mb-0\",\"fontSize\":\"medium\"} -->\n<p class=\"small-title mb-0 has-text-color has-medium-font-size\" style=\"color:#dd1515\">Hire</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"35px\"},\"color\":{\"text\":\"#3e3e3e\"}},\"className\":\"mb-5\"} -->\n<h2 class=\"mb-5 has-text-color\" style=\"color:#3e3e3e;font-size:35px\">BEST PROFESSIONALS</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"className\":\"professional-box mb-3\"} -->\n<div class=\"wp-block-column professional-box mb-3\"><!-- wp:image {\"id\":1954,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/pro-image-1.png\" alt=\"\" class=\"wp-image-1954\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"p-3\"} -->\n<div class=\"wp-block-group p-3\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#acacac\"},\"typography\":{\"fontSize\":\"24px\"}}} -->\n<h3 class=\"has-text-align-center has-text-color\" style=\"color:#acacac;font-size:24px\">By Adam Brown</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"color\":{\"text\":\"#acacac\"},\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#acacac;font-size:15px\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc eu lorem maximus, eleifend arcu eget, tincidunt arcu.&nbsp;</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"contentJustification\":\"center\"} -->\n<div class=\"wp-block-buttons is-content-justification-center\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"color\":{\"background\":\"#dd1515\"},\"border\":{\"radius\":4}},\"fontSize\":\"normal\"} -->\n<div class=\"wp-block-button has-custom-font-size has-normal-font-size\"><a class=\"wp-block-button__link has-white-color has-text-color has-background\" style=\"border-radius:4px;background-color:#dd1515\">Hire Me</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"professional-box mb-3\"} -->\n<div class=\"wp-block-column professional-box mb-3\"><!-- wp:image {\"id\":1955,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/pro-image-2.png\" alt=\"\" class=\"wp-image-1955\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"p-3\"} -->\n<div class=\"wp-block-group p-3\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#acacac\"},\"typography\":{\"fontSize\":\"24px\"}}} -->\n<h3 class=\"has-text-align-center has-text-color\" style=\"color:#acacac;font-size:24px\">By Adam Brown</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"color\":{\"text\":\"#acacac\"},\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#acacac;font-size:15px\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc eu lorem maximus, eleifend arcu eget, tincidunt arcu.&nbsp;</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"contentJustification\":\"center\"} -->\n<div class=\"wp-block-buttons is-content-justification-center\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"color\":{\"background\":\"#dd1515\"},\"border\":{\"radius\":4}},\"fontSize\":\"normal\"} -->\n<div class=\"wp-block-button has-custom-font-size has-normal-font-size\"><a class=\"wp-block-button__link has-white-color has-text-color has-background\" style=\"border-radius:4px;background-color:#dd1515\">Hire Me</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"professional-box mb-3\"} -->\n<div class=\"wp-block-column professional-box mb-3\"><!-- wp:image {\"id\":1956,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/pro-image-3.png\" alt=\"\" class=\"wp-image-1956\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"p-3\"} -->\n<div class=\"wp-block-group p-3\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#acacac\"},\"typography\":{\"fontSize\":\"24px\"}}} -->\n<h3 class=\"has-text-align-center has-text-color\" style=\"color:#acacac;font-size:24px\">By Adam Brown</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"color\":{\"text\":\"#acacac\"},\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#acacac;font-size:15px\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc eu lorem maximus, eleifend arcu eget, tincidunt arcu.&nbsp;</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"contentJustification\":\"center\"} -->\n<div class=\"wp-block-buttons is-content-justification-center\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"color\":{\"background\":\"#dd1515\"},\"border\":{\"radius\":4}},\"fontSize\":\"normal\"} -->\n<div class=\"wp-block-button has-custom-font-size has-normal-font-size\"><a class=\"wp-block-button__link has-white-color has-text-color has-background\" style=\"border-radius:4px;background-color:#dd1515\">Hire Me</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}